> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/e-stamping/e-stamp-invoice.md).

# e-Stamp Invoice

## POST /api/Public/EstampInvoice/get

> Get e-stamp invoice

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"EstampInvoice"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.EstampInvoiceRequestDto":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.EstampInvoiceResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.EstampInvoiceResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.EstampInvoiceResponseDto":{"type":"object","properties":{"invoiceNo":{"type":"string","nullable":true},"invoiceDocument":{"type":"string","nullable":true},"invoiceCreatedDate":{"type":"string","format":"date-time","nullable":true},"debitNoteNo":{"type":"string","nullable":true},"debitNoteDocument":{"type":"string","nullable":true},"debitNoteCreatedDate":{"type":"string","format":"date-time","nullable":true},"totalAmount":{"type":"number","format":"double"}},"additionalProperties":false}}},"paths":{"/api/Public/EstampInvoice/get":{"post":{"tags":["EstampInvoice"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.EstampInvoiceRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.EstampInvoiceResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Get e-stamp invoice","operationId":"post_EstampInvoice_get"}}}}
```
